HPLIP 3.10.9 install on LMDE 201012

Questions about hardware and drivers
Forum rules
Before you post please read this

HPLIP 3.10.9 install on LMDE 201012

Postby tipaul on Sat Jan 22, 2011 3:24 pm

Coming back to LM 4years after... (was mostly on Ubuntu)
LM Debian Edition is too good ... and it's true! :)

I know i had to do some tweaks to get HPLIP 3.10.9 installed&running on Ubuntu10.10 (replaced distros.dat file and edited models.dat to incorporate my HP OfficeJet 6500A+ (E710a model)).

I wondered if there was some instructions or already a distros.dat file made for installing this original HPLIP installation file onto LMDE?

During installation, LMDE is recognized as Linux Mint 1 ... Don't tried it but i'm sure that it won't install ok...

Thanks,
Paul
tipaul
Level 1
Level 1
 
Posts: 11
Joined: Fri Feb 23, 2007 1:37 pm

Linux Mint is funded by ads and donations.
 

Re: HPLIP 3.10.9 install on LMDE 201012

Postby Sleven on Sun Jan 23, 2011 5:32 am

Hi tipaul,

You might want to have a look see at these.

viewtopic.php?f=110&p=367117

http://crunchbanglinux.org/forums/topic ... plip-3109/

Hope it helps
LMDE 64 running Cinnamon on an HP Compaq Core2 Duo 4G Ram
User avatar
Sleven
Level 4
Level 4
 
Posts: 402
Joined: Sun Oct 03, 2010 9:03 am
Location: Central Florida

Re: HPLIP 3.10.9 install on LMDE 201012

Postby Roken on Sun Jan 23, 2011 7:48 am

hplip installed here on LMDE64 with no problems or drama whatsoever.

S
Kernel Linux Tex 3.2.2-1 (64 bit) xfce , burg
Arch
ATI Radeon HD 4670, 1GB
OSS4
AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked)
8Gb RAM
Image
User avatar
Roken
Level 5
Level 5
 
Posts: 747
Joined: Fri Nov 19, 2010 4:55 pm
Location: Oldham, UK

Re: HPLIP 3.10.9 install on LMDE 201012

Postby tipaul on Mon Jan 24, 2011 7:22 am

Roken :
How did you installed it?
Running the official package and leaving all the questions to default answers?
tipaul
Level 1
Level 1
 
Posts: 11
Joined: Fri Feb 23, 2007 1:37 pm

Re: HPLIP 3.10.9 install on LMDE 201012

Postby tipaul on Mon Jan 24, 2011 7:57 am

Installed latest 3.10.9 HPLIP and choosed lenny/sid (option 14) as Distribution :

Ended with this message :
Code: Select all
RE-CHECKING DEPENDENCIES
------------------------
error: A required dependency 'cups-devel (CUPS devel- Common Unix Printing System development files)' is still missing.
error: A required dependency 'cups-image (CUPS image - CUPS image development files)' is still missing.
error: Installation cannot continue without these dependencies.
error: Please manually install this dependency and re-run this installer.


I've sucessfully install the first one manually with package "cups-bsd".
But second one (cups-image) cannot be found..??
tipaul
Level 1
Level 1
 
Posts: 11
Joined: Fri Feb 23, 2007 1:37 pm

Re: HPLIP 3.10.9 install on LMDE 201012

Postby Roken on Mon Jan 24, 2011 8:52 am

I used the official package and kept an eye on the output. Each dependancy it complained about (that addressed functionality I required) I simply Ctrl-C the script, fix the dependancy, and start again.

All works fine here after that.
Kernel Linux Tex 3.2.2-1 (64 bit) xfce , burg
Arch
ATI Radeon HD 4670, 1GB
OSS4
AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked)
8Gb RAM
Image
User avatar
Roken
Level 5
Level 5
 
Posts: 747
Joined: Fri Nov 19, 2010 4:55 pm
Location: Oldham, UK

Re: HPLIP 3.10.9 install on LMDE 201012

Postby Roken on Mon Jan 24, 2011 8:54 am

tipaul wrote:But second one (cups-image) cannot be found..??


libcupsimage2-dev
Kernel Linux Tex 3.2.2-1 (64 bit) xfce , burg
Arch
ATI Radeon HD 4670, 1GB
OSS4
AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked)
8Gb RAM
Image
User avatar
Roken
Level 5
Level 5
 
Posts: 747
Joined: Fri Nov 19, 2010 4:55 pm
Location: Oldham, UK

Re: HPLIP 3.10.9 install on LMDE 201012

Postby tipaul on Mon Jan 24, 2011 2:06 pm

Thank you very much Roken!
I'll try this after work.
It should then be fine.

Ahhhhhhhhhh... Just found out that HPLIP website is up again and version is now 3.11.1 !!!!!!!!!
Will install it instead of 3.10.9.
If everything's fine, i'll post an "How to install HPLIP 3.11.1 on LMDE"... :roll:
tipaul
Level 1
Level 1
 
Posts: 11
Joined: Fri Feb 23, 2007 1:37 pm

Linux Mint is funded by ads and donations.
 

Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 1 guest